For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
contact@agentmail.ccDiscord
DocumentationAPI ReferenceKnowledge BaseChangelog
DocumentationAPI ReferenceKnowledge BaseChangelog
  • API Reference
      • POSTSign Up
      • POSTVerify
LogoLogo
contact@agentmail.ccDiscord
API ReferenceAgent

Verify

POST
/v0/agent/verify
POST
/v0/agent/verify
1from agentmail import AgentMail
2
3client = AgentMail(
4 api_key="YOUR_TOKEN_HERE",
5)
6
7client.agent.verify(
8 otp_code="otp_code",
9)
200Successful
1{
2 "verified": true
3}
Verify an agent organization using the 6-digit OTP sent to the human's email during sign-up. On success, the organization is upgraded from `agent_unverified` to `agent_verified`, the send allowlist is removed, and free plan entitlements are applied. The OTP expires after 24 hours and allows a maximum of 10 attempts. **CLI:** ```bash agentmail agent verify --otp-code 123456 ```
Was this page helpful?
Previous

List Inboxes

Next
Built with

Verify an agent organization using the 6-digit OTP sent to the human’s email during sign-up.

On success, the organization is upgraded from agent_unverified to agent_verified, the send allowlist is removed, and free plan entitlements are applied.

The OTP expires after 24 hours and allows a maximum of 10 attempts.

CLI:

$agentmail agent verify --otp-code 123456

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
otp_codestringRequired

6-digit verification code sent to the human’s email address.

Response

This endpoint returns an object.
verifiedboolean
Whether the organization was verified.